Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.ui.validation
Class ValidationContentProvider

    java.lang.Object
      org.eclipse.emf.ecp.internal.ui.validation.ValidationContentProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.jface.viewers.ITreeContentProvider

    public class ValidationContentProvider

extends Object
implements org.eclipse.jface.viewers.ITreeContentProvider

`ITreeContentProvider` for displaying `Diagnostics`.

Author:
  jfaltermeier

Constructor Summary
`ValidationContentProvider()` Default constructor.

Method Summary
`void` | `dispose()`
`Object[]` | `getChildren(Object parentElement)`
`Object[]` | `getElements(Object inputElement)`
`Object` | `getParent(Object element)`
`boolean` | `hasChildren(Object element)`
`void` | `inputChanged(org.eclipse.jface.viewers.Viewer viewer, Object oldInput, Object newInput)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidationContentProvider

    public ValidationContentProvider()

  Default constructor.

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`
  See Also:
    `IContentProvider.dispose()`

### inputChanged

    public void inputChanged(org.eclipse.jface.viewers.Viewer viewer,
                             Object oldInput,
                             Object newInput)

  Specified by:
    `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`
  See Also:
    `IContentProvider.inputChanged(org.eclipse.jface.viewers.Viewer, java.lang.Object, java.lang.Object)`

### getElements

    public Object[] getElements(Object inputElement)

  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`
  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
  See Also:
    `ITreeContentProvider.getElements(java.lang.Object)`

### getChildren

    public Object[] getChildren(Object parentElement)

  Specified by:
    `getChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
  See Also:
    `ITreeContentProvider.getChildren(java.lang.Object)`

### getParent

    public Object getParent(Object element)

  Specified by:
    `getParent` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
  See Also:
    `ITreeContentProvider.getParent(java.lang.Object)`

### hasChildren

    public boolean hasChildren(Object element)

  Specified by:
    `hasChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
  See Also:
    `ITreeContentProvider.hasChildren(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.